{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Boxes" %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Boxes" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">{% trans "Box ID" %}</th>
                                <th scope="col">{% trans "Content" %}</th>
                                <th scope="col">{% trans "Created on" %}</th>
                                <th scope="col">{% trans "Updated on" %}</th>
                                <th scope="col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for box in box_list %}
                            <tr>
                                <td>{{ box.pk }}</td>
                                <td style="  text-overflow: ellipsis; white-space: nowrap;">
                                    {{ box.content|striptags|truncatechars:50 }}
                                </td>
                                <td>{{ box.created_on }}</td>
                                <td>{{ box.updated_on }}</td>
                                <td>
                                    {% if perms.boxes.manage_boxes %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'boxes:edit' pk=box.pk %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Edit Box' %}"><i class="fas fa-pen fa-fw"></i></a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}